summaryrefslogtreecommitdiffstats
path: root/source.local/x/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source.local/x/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild')
-rwxr-xr-xsource.local/x/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild74
1 files changed, 74 insertions, 0 deletions
diff --git a/source.local/x/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild b/source.local/x/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild
new file mode 100755
index 0000000..2a28f33
--- /dev/null
+++ b/source.local/x/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=${VERSION:-1.07.2}
+ARCH=noarch
+BUILD=1
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-liberation-fonts-ttf
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf liberation-fonts-ttf-$VERSION
+tar xvf $CWD/liberation-fonts-ttf-${VERSION}.tar.* || exit 1
+cd liberation-fonts-ttf-${VERSION} || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF/
+cp -a *.ttf $PKG/usr/share/fonts/TTF/
+
+mkdir -p $PKG/usr/doc/liberation-fonts-ttf-$VERSION
+cp -a \
+ AUTHORS COPYING* License.txt README* TODO \
+ $PKG/usr/doc/liberation-fonts-ttf-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/etc/fonts/conf.{d,avail}
+cat $CWD/60-liberation.conf > $PKG/etc/fonts/conf.avail/60-liberation.conf
+( cd $PKG/etc/fonts/conf.d && \
+ ln -sf ../conf.avail/60-liberation.conf
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/liberation-fonts-ttf-${VERSION}-$ARCH-$BUILD.txz
+